Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Sep 2014, 23:08
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Flowblade-0.14.0 for Carolina
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [12 Posts]  
Author Message
battleshooter


Joined: 14 May 2008
Posts: 1075
Location: Australia

PostPosted: Thu 10 Jul 2014, 20:45    Post subject:  Flowblade-0.14.0 for Carolina
Subject description: Fast, precise and robust video editing
 

Flowblade

Flowblade Movie Editor is a multitrack non-linear video editor for Linux released under GPL 3 license.

Flowblade is designed to provide a fast, precise and robust editing experience.

In Flowblade clips are usually automatically placed tightly after or between clips when they are inserted on the timeline. Edits are fine tuned by trimming in and out points of clips, or by cutting and deleting parts of clips.

Flowblade provides powerful tools to mix and filter video and audio.

- https://code.google.com/p/flowblade/




Flowblade is a script based video editor, so no compiling what so ever! That said, it seemed too easy so I recompiled MLT with more features as well as Frei0r so I actually felt like I was doing something.

It should work on most Pups besides Carolina as it's dependencies are simple and the program itself is a python script. It's also quite small for a video editor even with dependencies included. Would be nice to see it become the Audacity of video editors, quick and easy to use, simple, to the point.

Download flowblade-0.14.0.sfs
Size: 21.6 MB
MD5: 8ff40c85e154ad9e5b743e33a48281d4

Download flowblade_DOC-0.14.0.pet
Download flowblade_NLS-0.14.0.pet


Where possible I used the dependencies found in the Carolina repository and if not, the same version.

Dependencies included in SFS
fftw-3.3.2
frei0r-plugins-1.4 (Recompiled with more effects, ie gavl)
jack-audio-connection-kit-0.124.1
libsamplerate-0.1.8
mlt_git-03-07-14 (Recompiled with jackrack, ladspa, and dv support)
numpy-1.6.1
Python-2.7.2-i486
sox-14.3.2-i486
swh-plugins-0.4.15

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8

Last edited by battleshooter on Sat 12 Jul 2014, 04:47; edited 1 time in total
Back to top
View user's profile Send private message 
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Fri 11 Jul 2014, 22:23    Post subject:  

Hi.

This Flowblade seems to work in Precise.

I have successfully rendered a project containing one video track (with audio muted) and one extra audio track (mp3) - rendered to .mpg video.

Plays fine in gnome-player and vlc.

Please, could you include the locales files on future compiling work and/or provide a link to the locales (also for lmms etc.pp)?

Thanks,

RSH

_________________
LazY Puppy
RSH's DNA
SARA B.
Back to top
View user's profile Send private message 
davids45


Joined: 26 Nov 2006
Posts: 647
Location: Chatswood, NSW

PostPosted: Fri 11 Jul 2014, 23:01    Post subject: MLT missing in TahrPup-583 Frugal  

G'day Battleshooter,

First try with the Flowblade sfs in a just-installed TahrPup-5.8.3 came up with a mlt-not-found message when I tried running it in a console after nothing happened via the (icon-less) menu entry:

MLT not found, exiting...
ERROR: No module named mlt found

The .desktop file in /usr/share/applications does have the icon.

Will try the flowblade sfs in some other Pups.

(MD5 checked out OK so not likely a bad download).

David S.
Back to top
View user's profile Send private message 
battleshooter


Joined: 14 May 2008
Posts: 1075
Location: Australia

PostPosted: Sat 12 Jul 2014, 05:01    Post subject:  

RSH,

I just checked LMMS and the locales are still there, (/usr/share/lmms/locale)

I only started stripping them out after Kdenlive I think.

Kdenlive itself only seems to include a French locale, according to this they need to be taken from the SVN server. I'll look into that.

I've uploaded Flowblade's NLS and DOC for good measure, the Cinelerra one will be up as well soon.

G'day davids45 Smile

mlt.py is included (just checked) so I'm thinking either there is a previous python installation... I'm not sure why the icon is not appearing in the menu. Ah yes, just checked, the preinstalled Python will definitely be a problem. You may be better off using the Flowblade package from the website and finding the dependencies on your own. However if that's not your cup of tea, you might be able to go to

Code:
/usr/lib/python2.7/site-packages/mlt.py


and copy,

Code:
mlt.py,
mlt_wrap.o
_mlt.so


over to the site-packages folder of Tahr's python. If it's Python 3 I'm not sure if this will work.

What Window manager does Tahr use?

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send private message 
davids45


Joined: 26 Nov 2006
Posts: 647
Location: Chatswood, NSW

PostPosted: Sat 12 Jul 2014, 22:38    Post subject: Python problems  

G'day battleshooter,

Thanks for checking and finding the Python issue.

With Frugals, I have an old Python in my Games.sfs (pysol) and sometimes for a LibreOffice sfs, I load up another Python as an sfs - which usually stops pysol from running.

So I'm not surprised if another Python conflict is my problem.

I'll try later with just the Flowblade sfs and no other Python-likely sfs running.

Having the same MLT-not-loaded problem with a slacko (I already had my python-present Games.sfs loaded when I tried Flowblade), I think we can give tahrpup the benefit of the doubt as not being part of my particular problem.

Thanks,
David S.
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 781
Location: Union New Jersey USA

PostPosted: Sun 03 Aug 2014, 09:32    Post subject: Thanks for Flowblade-0.14, note re Openshot  

Hi battleshooter,

Thanks for your continuing interest in Flowblade. Encouraged by RSH's post, I loaded it into vicmz's obprecise, http://www.murga-linux.com/puppy/viewtopic.php?p=790664#790664, It opens and seems to be functional. I haven't done anything with it yet. Thanks vicmz for the new version of precise with my favorite window manager.
Although I think flowblade currently provides the most comprehensive video editing package, I still think that openshot is still useful when something simpler will suffice. So I tried simultaneously loading openshot-1.4.3-precise.sfs, Loaded but didn't run. Terminal messages suggested a conflict in how python modules were structured. Noting that you had built Flowblade for Carolina, I unloaded "openshot-precise" and loaded openshot-1.4.2-carolina.sfs [restructured from the pet, http://smokey01.com/carolina/pet_packages-carolina/ ]. Thanks, Geoffrey. Opens and seems functional.

Thanks again everyone.

mikesLr
Back to top
View user's profile Send private message 
battleshooter


Joined: 14 May 2008
Posts: 1075
Location: Australia

PostPosted: Mon 04 Aug 2014, 01:39    Post subject:  

Thanks for the feedback mikeslr, glad it's working well for you. So.. it seems the SFSs compiled in Carolina work quite well in Precise, minor issues being due to in built dependencies.

QT and Python, those seem to be the ones to mess up the most.
Quote:

Although I think flowblade currently provides the most comprehensive video editing package, I still think that openshot is still useful when something simpler will suffice


I think Flowblade is quite stable as well, more so than Kdenlive and Openshot. I'm just waiting for Openshot 2.0 to come out, curious to see how that will turn out.

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send private message 
linus.cl

Joined: 02 Apr 2014
Posts: 71
Location: Germany

PostPosted: Wed 27 Aug 2014, 09:29    Post subject:  

Hello!
I'm using Puppy Linux Slacko 5.7 and I'm have the same problem as davids45.

I've tried also your solution prozess, but in my system flowblade haven't worked yet.

What's the problem??



Code:

sh-4.1# flowblade
FLOWBLADE MOVIE EDITOR 0.14rc
---------------------------
Launch script dir: /usr/bin
Running from installation...
MLT not found, exiting...
ERROR: No module named mlt


I've installed the package 'python-mlt5' from the ubuntu repos.

I hope you can help me... Shocked Shocked
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 3113
Location: Mer méditerrannée (1 kms°)

PostPosted: Sat 30 Aug 2014, 00:29    Post subject: Flowblade dowloading To Polar Puppyland QT-005  

I was returning to Windows Live Media Creator, tired with Linux video editors especially running in only one version of puppy. Openshot, cinelerra ne sont que de la poudre aux yeux. I hope Flowblade will do it.
This morning, i am with the fantastic PolarQT-005. I think Flowblade will do it 'les doigts dans les nez' i.e (id est) easily.
Zut (damned !). Polarpup is too old, as me... Sad
Ok with SFS load on the fly V. 2.1 but Python is needed . Sad

sh-4.1# flowblade
FLOWBLADE MOVIE EDITOR 0.14rc
---------------------------
Launch script dir: /usr/bin
Running from installation...
MLT found, version: 0.9.2
Failed to import module app.py to launch Flowblade!
ERROR: /usr/lib/python2.7/site-packages/gtk-2.0/gtk/_gtk.so: undefined symbol: gtk_combo_box_set_entry_text_column
Installation was assumed to be at: /usr/share/pyshared/Flowblade
sh-4.1#
gtk.ComboBox — a widget used to choose from a list of items (new in PyGTK 2.4)

_________________
Puppy, il ne lui manque que la parole !

Last edited by Pelo on Sat 30 Aug 2014, 01:01; edited 1 time in total
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo


Joined: 10 Sep 2011
Posts: 3113
Location: Mer méditerrannée (1 kms°)

PostPosted: Sat 30 Aug 2014, 00:58    Post subject: undefined symbol: gtk_combo_box_set_entry_text_column  

undefined symbol: gtk_combo_box_set_entry_text_column : how many Linux apps are stopped by only a sybol, which size does not fit ?
What symbol could it be : gtk combo box .....

_________________
Puppy, il ne lui manque que la parole !
Back to top
View user's profile Send private message Yahoo Messenger 
battleshooter


Joined: 14 May 2008
Posts: 1075
Location: Australia

PostPosted: Tue 02 Sep 2014, 22:48    Post subject:  

Ow, my head, so many errors. Sad

I hate how vague these error messages are:

linus.cl wrote:
Code:
ERROR: No module named mlt


Or maybe it's how vague my solutions are that I hate? Hmm.

I've had that error numerous times. All dependencies are included in the SFS. So it looks like a local Python installation is confusing Flowblade/MLT. Same problem as David.

The thing about SFSs is that they will not overwrite existing files. So the included mlt module is probably looking for the version of Python I compiled it with... BUT because the SFS is unable to overwrite the existing Python that particular version is not available.

Gah, does that just sound like a load of mumble jumble?

The fix I would run with, would be:

Option A:
Clean installation/New Pupsave

but if that's not an option because you're running a full installation/too much trouble

Option B: Delete all instances of Python and reload the SFS

So, running Slacko 5.7... I might try making an SFS for that, so many people are posting problems running everything but Carolina!

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send private message 
battleshooter


Joined: 14 May 2008
Posts: 1075
Location: Australia

PostPosted: Tue 02 Sep 2014, 22:55    Post subject:  

Polarpup... Pelo, Python is included... why app.py didn't load, I don't know. There's just too many variables in different Pups.

I do hope you'll be able to find a Video Editor that works for you, I noticed you posted on some other video editors I've put up. I'm on to read your other posts.

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [12 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0841s ][ Queries: 11 (0.0033s) ][ GZIP on ]